const axios = require('axios');
const FaxesApiFp = require('@alohi/faxplus-api').FaxesApiFp;
const Configuration = require('@alohi/faxplus-api').Configuration;
const config = new Configuration({
accessToken: accessToken,
basePath: 'https://restapi.fax.plus/v3',
// Header required only when using the OAuth2 token scheme
baseOptions: {
headers: {
"x-fax-clientid": clientId,
}
}
});
async function getFax() {
const reqParams = {
"userId": '13d8z73c',
"faxId": '132esd4cs31'
}
const req = await FaxesApiFp(config).getFax(reqParams);
const resp = await req(axios);
}
getFax()
from faxplus import ApiClient, FaxesApi
from faxplus.configuration import Configuration
conf = Configuration()
conf.access_token = access_token
# header_name and header_value required only when using the OAuth2 token scheme
api_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)
api = FaxesApi(api_client)
resp = api.get_fax(
user_id='13d8z73c',
fax_id='132esd4cs31')
/**
* Example below uses Apache HTTP Client 4 with Fluent API
**/
Map<String, String> pathParams = new HashMap<>();
pathParams.put("user_id", "'13d8z73c'");
pathParams.put("fax_id", "'132esd4cs31'");
StrSubstitutor sub = new StrSubstitutor(values, "{", "}");
String url = sub.replace("https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}");
String result = Request
.Get(url)
// The x-fax-clientid header is required only when using the OAuth2 token scheme
.addHeader("x-fax-clientid", "YOUR_CLIENT_ID")
.addHeader("Accept", "'application/json'")
.addHeader("Authorization", "'Bearer {access-token}'")
.execute()
.returnContent().asString();
System.out.println(result.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
// The x-fax-clientid header is required only when using the OAuth2 token scheme
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
"x-fax-clientid": []string{"YOUR_CLIENT_ID"}
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}',
// The x-fax-clientid header is required only when using the OAuth2 token scheme
'x-fax-clientid' => '{client ID}',
);
$client = new GuzzleHttp\Client();
try {
$response = $client->request('GET','https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}', array(
'headers' => $headers,
)
);
print_r($response->getBody()->getContents());
}
catch (GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
# You can also use wget
curl -X GET https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
# The x-fax-clientid header is required only when using the OAuth2 token scheme
-H 'x-fax-clientid: "YOUR CLIENT_ID"'
{
"comment": "",
"cost": 2,
"cost_details": {
"multiplier": 1,
"notification_cost": 0
},
"description": "OK",
"direction": "incoming",
"duration": 0,
"file": "ec28edc283a74daca1787efb5fa6fae2.tiff",
"file_name": "fax-from-12076001783",
"from_number": "+12076001783",
"header": null,
"id": "5e7de3ad54cfd54eb568cc76",
"is_read": false,
"is_spam": false,
"last_update": "2020-03-27 11:29:49",
"max_retry": null,
"owner_id": "74d59d2779fb42a99cd5bb993c0c89d2",
"pages": 2,
"retry_delay": null,
"scheduled_time": null,
"start_time": "2020-03-27 11:29:21",
"status": "failed",
"submit_time": null,
"to": "+12076001783"
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "bad_request",
"description": "Requested resource was not found."
}{
"error": "internal_server_error",
"description": "An unexpected error happened, please contact support"
}Get a fax record
Get a specific fax record details like duration, pages etc. (Permitted scopes: fax:all:read, fax:fax:read)
const axios = require('axios');
const FaxesApiFp = require('@alohi/faxplus-api').FaxesApiFp;
const Configuration = require('@alohi/faxplus-api').Configuration;
const config = new Configuration({
accessToken: accessToken,
basePath: 'https://restapi.fax.plus/v3',
// Header required only when using the OAuth2 token scheme
baseOptions: {
headers: {
"x-fax-clientid": clientId,
}
}
});
async function getFax() {
const reqParams = {
"userId": '13d8z73c',
"faxId": '132esd4cs31'
}
const req = await FaxesApiFp(config).getFax(reqParams);
const resp = await req(axios);
}
getFax()
from faxplus import ApiClient, FaxesApi
from faxplus.configuration import Configuration
conf = Configuration()
conf.access_token = access_token
# header_name and header_value required only when using the OAuth2 token scheme
api_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)
api = FaxesApi(api_client)
resp = api.get_fax(
user_id='13d8z73c',
fax_id='132esd4cs31')
/**
* Example below uses Apache HTTP Client 4 with Fluent API
**/
Map<String, String> pathParams = new HashMap<>();
pathParams.put("user_id", "'13d8z73c'");
pathParams.put("fax_id", "'132esd4cs31'");
StrSubstitutor sub = new StrSubstitutor(values, "{", "}");
String url = sub.replace("https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}");
String result = Request
.Get(url)
// The x-fax-clientid header is required only when using the OAuth2 token scheme
.addHeader("x-fax-clientid", "YOUR_CLIENT_ID")
.addHeader("Accept", "'application/json'")
.addHeader("Authorization", "'Bearer {access-token}'")
.execute()
.returnContent().asString();
System.out.println(result.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
// The x-fax-clientid header is required only when using the OAuth2 token scheme
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
"x-fax-clientid": []string{"YOUR_CLIENT_ID"}
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}',
// The x-fax-clientid header is required only when using the OAuth2 token scheme
'x-fax-clientid' => '{client ID}',
);
$client = new GuzzleHttp\Client();
try {
$response = $client->request('GET','https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}', array(
'headers' => $headers,
)
);
print_r($response->getBody()->getContents());
}
catch (GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
# You can also use wget
curl -X GET https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
# The x-fax-clientid header is required only when using the OAuth2 token scheme
-H 'x-fax-clientid: "YOUR CLIENT_ID"'
{
"comment": "",
"cost": 2,
"cost_details": {
"multiplier": 1,
"notification_cost": 0
},
"description": "OK",
"direction": "incoming",
"duration": 0,
"file": "ec28edc283a74daca1787efb5fa6fae2.tiff",
"file_name": "fax-from-12076001783",
"from_number": "+12076001783",
"header": null,
"id": "5e7de3ad54cfd54eb568cc76",
"is_read": false,
"is_spam": false,
"last_update": "2020-03-27 11:29:49",
"max_retry": null,
"owner_id": "74d59d2779fb42a99cd5bb993c0c89d2",
"pages": 2,
"retry_delay": null,
"scheduled_time": null,
"start_time": "2020-03-27 11:29:21",
"status": "failed",
"submit_time": null,
"to": "+12076001783"
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "bad_request",
"description": "Requested resource was not found."
}{
"error": "internal_server_error",
"description": "An unexpected error happened, please contact support"
}const axios = require('axios');
const FaxesApiFp = require('@alohi/faxplus-api').FaxesApiFp;
const Configuration = require('@alohi/faxplus-api').Configuration;
const config = new Configuration({
accessToken: accessToken,
basePath: 'https://restapi.fax.plus/v3',
// Header required only when using the OAuth2 token scheme
baseOptions: {
headers: {
"x-fax-clientid": clientId,
}
}
});
async function getFax() {
const reqParams = {
"userId": '13d8z73c',
"faxId": '132esd4cs31'
}
const req = await FaxesApiFp(config).getFax(reqParams);
const resp = await req(axios);
}
getFax()
from faxplus import ApiClient, FaxesApi
from faxplus.configuration import Configuration
conf = Configuration()
conf.access_token = access_token
# header_name and header_value required only when using the OAuth2 token scheme
api_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)
api = FaxesApi(api_client)
resp = api.get_fax(
user_id='13d8z73c',
fax_id='132esd4cs31')
/**
* Example below uses Apache HTTP Client 4 with Fluent API
**/
Map<String, String> pathParams = new HashMap<>();
pathParams.put("user_id", "'13d8z73c'");
pathParams.put("fax_id", "'132esd4cs31'");
StrSubstitutor sub = new StrSubstitutor(values, "{", "}");
String url = sub.replace("https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}");
String result = Request
.Get(url)
// The x-fax-clientid header is required only when using the OAuth2 token scheme
.addHeader("x-fax-clientid", "YOUR_CLIENT_ID")
.addHeader("Accept", "'application/json'")
.addHeader("Authorization", "'Bearer {access-token}'")
.execute()
.returnContent().asString();
System.out.println(result.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
// The x-fax-clientid header is required only when using the OAuth2 token scheme
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
"x-fax-clientid": []string{"YOUR_CLIENT_ID"}
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
<?php
require 'vendor/autoload.php';
$headers = array(
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}',
// The x-fax-clientid header is required only when using the OAuth2 token scheme
'x-fax-clientid' => '{client ID}',
);
$client = new GuzzleHttp\Client();
try {
$response = $client->request('GET','https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id}', array(
'headers' => $headers,
)
);
print_r($response->getBody()->getContents());
}
catch (GuzzleHttp\Exception\BadResponseException $e) {
// handle exception or api errors.
print_r($e->getMessage());
}
// ...
# You can also use wget
curl -X GET https://restapi.fax.plus/v3/accounts/{user_id}/faxes/{fax_id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
# The x-fax-clientid header is required only when using the OAuth2 token scheme
-H 'x-fax-clientid: "YOUR CLIENT_ID"'
Authorizations
OAuth2 Authorization Grant
Path Parameters
User ID. Use 'self' for your own account, or provide a specific user ID for corporate member accounts.
Response
Response containing a single fax object
Free-form comment
Show child attributes
Show child attributes
Fax ID
User ID of the fax owner
Number of pages in the fax
x >= 0See Fax Error Statuses for the full list and meanings.
success, partially_sent, partially_received, in_progress, insufficient_credit, failed, failed_internal_process_error, failed_user_busy, failed_no_answer, failed_unallocated_number, failed_office_converter_issue, failed_separate_file_pages_issue, failed_render_header_issue, failed_invalid_number_format, failed_mimetype_not_supported, failed_destination_not_supported, failed_image_preparation, failed_to_send, failed_origination_unknown, failed_no_origination, failed_no_user_response, failed_call_rejected, failed_exchange_routing_error, failed_no_route_destination, failed_normal_circuit_congestion, failed_recovery_on_timer_expire, failed_requested_chan_unavail, failed_network_out_of_order, failed_destination_out_of_order, failed_normal_temporary_failure, failed_unknown_converter_issue, failed_normal_clearing, failed_convert_to_tiff_issue, failed_fs_2, failed_fs_3, failed_fs_8, failed_fs_9, failed_fs_31, failed_fs_32, failed_fs_35, failed_fs_39, failed_fs_48, failed_fs_49 Fax cost in the user currency
x >= 0Fax direction
outgoing, incoming Fax transmission duration in seconds
x >= 0Fax file ID for the getFile handle
Human-readable file name
Sender number. Might be a userId for faxes sent or received with free accounts
True if the fax is marked as spam
Maximum number of retries
0 <= x <= 3Delay between two retries
0 <= x <= 180Time at which faxing session started. Format: YYYY-MM-DD HH:mm:ss
Time when the fax was submitted for sending. For outgoing faxes only
Fax destination number. Might be a userId for faxes sent or received with free accounts
Fax cover page
Show child attributes
Show child attributes